LIB_NAME = StPL
TARGET = lib$(LIB_NAME).jnilib

JAVAVM_HEADERS = /System/Library/Frameworks/JavaVM.framework/Headers
INCS = -I$(JAVAVM_HEADERS)
LIBS = -framework JavaVM -framework Carbon

CC = cc -D__MACOSX__ -Wno-deprecated-declarations -Wno-pointer-sign
ARCHS = -isysroot /Developer/SDKs/MacOSX10.4u.sdk -arch ppc -arch i386
CFLAGS = $(ARCHS) -Wall -O -dynamic $(INCS)
LD = $(CC) $(ARCHS) -bundle
OBJS = $(LIB_NAME)-mac.o

all:	$(TARGET)

$(TARGET):	$(OBJS)
	$(LD) -o $(TARGET) $(OBJS) $(LIBS)

clean:
	rm -f *.o *.jnilib*

$(LIB_NAME)-mac.o:	jp_co_sra_smalltalk_SystemInterface.h version.h
